Iir::Custom::OnePole Struct Reference

`#include <Custom.h>`

Inheritance diagram for Iir::Custom::OnePole:

## Additional Inherited Members

Public Member Functions inherited from Iir::Biquad
complex_t | response (double normalizedFrequency) const
std::vector< PoleZeroPair > | getPoleZeros () const
double | getA0 () const
double | getA1 () const
double | getA2 () const
double | getB0 () const
double | getB1 () const
double | getB2 () const
template<class StateType >
double | filter (double s, StateType &state) const
void | setCoefficients (double a0, double a1, double a2, double b0, double b1, double b2)
void | setOnePole (complex_t pole, complex_t zero)
void | setTwoPole (complex_t pole1, complex_t zero1, complex_t pole2, complex_t zero2)
void | setPoleZeroPair (const PoleZeroPair &pair)
void | setIdentity ()
void | applyScale (double scale)

## Detailed Description

Setting up a filter with with one real pole, real zero and scale it by the scale factor

Parameters

  scale | Scale the FIR coefficients by this factor
  pole | Position of the pole on the real axis
  zero | Position of the zero on the real axis

The documentation for this struct was generated from the following files:

- iir/Custom.h
- iir/Custom.cpp